cancel
Showing results for 
Search instead for 
Did you mean: 

Oculus V37 OVRPlugin.dll not found issue

robertcoomber
Level 4

I am having an issue I believe is specific to the latest v37 release. I tried to update a v35 project to the new v37 and got the following error when starting up the project. I would downgrade to v35 again and have no issue. Each time I try v37 I get the following error on start up. Project crashes if I try to run. 

 

Failed to load OVRPlugin.dll
UnityEngine.Debug:LogError (object)
Unity.XR.Oculus.OculusLoader:EditorLoadOVRPlugin () (at Library/PackageCache/com.unity.xr.oculus@1.11.2/Runtime/OculusLoader.cs:237)
UnityEditor.EditorAssemblies:ProcessInitializeOnLoadMethodAttributes ()

 

I am using package manager and the oculus integration archive to get the v37 and v35 package. I have the Oculus XR Plugin and XR Plugin Management set up properly. I have tried with multiple unity versions 2021.2.10, 2020.3.22, 2021.2.5. I really want to try the interaction SDK but this strange issue is getting in my way.

1 ACCEPTED SOLUTION

Accepted Solutions

This is fixed in the v38 integration which should be released relatively soon.  Thanks to everyone on this thread for bringing up the problem and helping us track down the issue.  

View solution in original post

15 REPLIES 15

robertcoomber
Level 4

I've tried this setup on my newer laptop and I am not seeing any issues. I opened the editor log and found the following OpenCV CPU/HW errors which happens during the loading of the OVRPlugin.dll supplied in the latest update. This happens during the unity editor start up. Is there something in the new plugin that uses OpenCV? 

 

My CPU/GPU i7-3770k / GTX 1070, I've never had any issues like this before. 


Full editor log here

 

[XR] OculusXRPlugin: registering subsystems
[Subsystems] OculusXRPlugin successfully registered Provider for oculus display
[XR] Oculus Input lifecycle provider registered.
[Subsystems] OculusXRPlugin successfully registered Provider for oculus input
[Subsystems] OculusXRPlugin successfully registered Provider for oculus display

******************************************************************
* FATAL ERROR: *
* This OpenCV build doesn't support current CPU/HW configuration *
* *
* Use OPENCV_DUMP_CONFIG=1 environment variable for details *
******************************************************************

Required baseline features:
SSE - OK
SSE2 - OK
SSE3 - OK
SSSE3 - OK
SSE4.1 - OK
SSE4.2 - OK
POPCNT - OK
FP16 - OK
FMA3 - NOT AVAILABLE
AVX - OK
AVX2 - NOT AVAILABLE
[XR] LoadLibraryA on €’ßàr failed, error = 1114
[XR] OculusXRPlugin: Failed to load ovrplugin library
Failed to load OVRPlugin.dll

lay3d
Level 2

Can confirm same as above here using 2020.3.24f1 and v37

 

Anyone else managed to get playback in editor with link without unity editor crash?

unnanego
Level 2

same here, similar CPU - i5 3570

Do you have a 3rd gen series intel CPU? I've found that FMA3 and AVX2 are super low level architecture components that the 3rg gen series intels do not have. 

robertcoomber
Level 4

Does anyone know about the addition of OpenCV to the v37 unity integration? My analysis is that v37 now includes openCV components (maybe due to new passthrough+ on link) which require FMA3 and AVX2 CPU architecture support. Developers with this gen CPU need to know if we need to upgrade to be able to use anything past v35 or if a workaround can be found regarding the FMA3 and AVX2 issue. 

AMD FX(tm)-6300

Have you been able to figure anything out? I'm having the same issue on a FX-8370

Z0eDreams
Level 3

This is currently broken in v37 and hopefully will be hot fixed. The current work around is to use OpenXR for local testing with oculus link, however openxr sdk does not work well will the ovrcamerarig or any of the other scripts. however it works find with the XRI toolkit.

Unity2021.2.10f
latest package versions.

The work around only works if you are already using the XRI toolkit which I am not. What gen CPU are you using and can you check your editor logs and see if you are also getting an opencv issue too?